Bug 1187041 (CVE-2015-1419) - CVE-2015-1419 vsftpd: access restrictions bypass
Summary: CVE-2015-1419 vsftpd: access restrictions bypass
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-1419
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1187043
Blocks: 1187042
TreeView+ depends on / blocked
 
Reported: 2015-01-29 08:58 UTC by Vasyl Kaigorodov
Modified: 2020-02-11 00:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-17 04:11:55 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-29 08:58:02 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2015-1419 to the following vulnerability:

Name: CVE-2015-1419
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-1419
Assigned: 20150127
Reference: http://secunia.com/advisories/62415

Unspecified vulnerability in vsftp 3.0.2 and earlier allows remote attackers to bypass access restrictions via unknown vectors, related to deny_file parsing.

Comment 1 Vasyl Kaigorodov 2015-01-29 08:59:54 UTC
Created vsftpd tracking bugs for this issue:

Affects: fedora-all [bug 1187043]

Comment 2 Huzaifa S. Sidhpurwala 2015-07-17 04:11:55 UTC
As per the vsftpd.conf man page:

"This option is very simple, and should not be used for serious access control - the filesystem's permissions should be used in preference. However, this option may be useful in certain virtual user setups. In particular aware that if a filename is accessible by a variety  of  names (perhaps  due  to symbolic links or hard links), then care must be taken to deny access to all the names."

The man page advices users to exercise caution when using the deny_file option and mentions that filesystem permissions should be preferred.

Based on the above documentation, Red Hat Product Security Team, does not consider this issue as a security flaw.

Comment 4 Doran Moppert 2020-02-11 00:29:06 UTC
Statement:

Red Hat Product Security determined that this flaw was not a security vulnerability. See the Bugzilla link for more details.


Note You need to log in before you can comment on or make changes to this bug.